Skip to main content
GET
/
api
/
entities
/
{id}
Get single entity by ID or UUID
curl --request GET \
  --url https://api-next.dealroom.co/api/entities/{id} \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "id": 3009626,
    "uuid": "345d1ab6-33df-4759-9e17-0d0c0ec9ab1c",
    "type": "organization",
    "organization_subtype": "company",
    "is_company": true,
    "is_investor": false,
    "is_university": false,
    "is_crowdfunding": false,
    "is_government": false,
    "is_non_profit": false,
    "is_founder": false,
    "is_executive": false,
    "is_partner": false,
    "name": "Stripe",
    "tagline": "Online payment processing for internet businesses.",
    "about": "Stripe builds economic infrastructure for the internet…",
    "image": "https://images.dealroom.co/logos/stripe.png",
    "dealroom_url": "https://app.dealroom.co/companies/stripe",
    "closing_year": 123,
    "employee_count": 123,
    "launch_year": 2010,
    "hq_country": "United States",
    "hq_city": "San Francisco",
    "website": "<string>",
    "website_domain": "<string>",
    "lat": 37.7878,
    "lon": -122.4032,
    "created_at": "2026-03-21T08:00:00.000Z",
    "updated_at": "2026-03-27T10:30:00.000Z",
    "deleted_at": null,
    "company": {
      "is_unicorn": true,
      "is_vc_backed": true,
      "is_exited": true,
      "is_pe_owned": true,
      "is_hiring": true,
      "has_founder": true,
      "company_status": "<string>",
      "signal_rating": 123,
      "similarweb_3_months_growth": 123,
      "similarweb_traffic": 123,
      "total_funding": 123,
      "total_vc_funding": 123,
      "unicorn_type": "<string>",
      "year_became_unicorn": 123,
      "year_of_exit": 123
    },
    "person": {
      "gender": "<string>",
      "is_serial_founder": true,
      "is_super_founder": true,
      "is_promising_founder": true,
      "is_strong_founder": true,
      "founded_companies_total_funding": 123
    },
    "investor": {
      "total_investments_count": 123,
      "preferred_round": "<string>",
      "last_investor_round_year": 123,
      "last_investor_round_month": 123
    },
    "university": {
      "alumni_count": 123,
      "alumni_founder_count": 123,
      "alumni_founded_companies_count": 123,
      "alumni_unicorn_companies_count": 123
    },
    "funding_summary": {
      "total_funding": 9123000000,
      "round_count": 28
    },
    "tags": [
      {
        "id": 123,
        "name": "<string>",
        "type": "<string>"
      }
    ],
    "founders": [
      {
        "id": 123,
        "name": "<string>",
        "image": "<string>",
        "dealroom_url": "<string>",
        "is_investor": true
      }
    ],
    "latest_valuation": {
      "value": 123,
      "year": 123,
      "month": 123
    },
    "latest_revenue": {
      "value": 123,
      "year": 123
    }
  },
  "currency": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://developers.beta.dealroom.co/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Auth0 JWT access token. Paste a token obtained from your preferred OAuth2 flow. For machine-to-machine use, the OAuth2 client_credentials scheme below can mint a token directly from your client_id / client_secret inside the Swagger UI Authorize dialog.

Path Parameters

id
string
required
Minimum string length: 1
Example:

"12345"

Query Parameters

currency
string

ISO 4217 currency code for monetary field conversion. Defaults to USD.

Example:

"EUR"

Response

Single entity

data
object
required
currency
string
required